Subject: [mpls] MPLS-RT review of draft-atlas-mpls-ldp-mrt

From: Mach Chen <[email-masked]>
Date: Tue, 18 Nov 2014 09:29:53 +0000

Hi Authors,

I am assigned as a MPLS-RT reviewer of draft-atlas-mpls-ldp-mrt. 

The draft is well written and ready for a call adoption. I have two comments as below:

1.

It's better to expand the acronyms (e.g., MRT, LDP, etc.) in the first usage.

2.

"4.1.  MRT Capability Advertisement
It is not possible to support MRT without supporting the LDP multi-
   topology extensions, but it is possible that the only use of the
   multi-topology extensions is for MRT.  In that case, a router MAY not
   negotiate the multi-topology capability and only negotiate the MRT
   Capability with its LDP peers.  Negotiation of the multi-topology
   capability is not required with negotiation of the MRT capability."

Personally, I'd like that the MRT capability does not coupled with MT capability. This may bring extra logic/complex to the implementation. Suppose that an LSR advertises the MRT capability to its neighbors and then withdraw it later, then the receiver LSRs have to determine whether withdraw the MT capability as well. More seriously, for the MT capability negotiation process, since it does not know whether there is MRT, so when an LSR receives an MT withdraw, how it handles its MT capability? 

Best regards,
Mach